module.exports = {
  "env": {
    "browser": true,
    "node": true,
  },
  "parser": "@typescript-eslint/parser",
  "extends": ['airbnb', 'plugin:@typescript-eslint/recommended'],
  "plugins": ['@typescript-eslint', 'prettier'],
  "settings": {
    'import/parsers': {
      '@typescript-eslint/parser': ['.ts', '.tsx'],
    },
    'import/resolver': {
      typescript: {},
    },
  },
  "overrides": [
    {
     "files": ["*styled.js", "*styled.ts", "*Styled.ts"],
      "rules": {
        "@typescript-eslint/explicit-function-return-type": 0,
        "import/prefer-default-export": 0
      }
    }
  ],
  "rules": {
    "no-console": "off",
    "react/jsx-filename-extension": [2, { extensions: ['.js', '.jsx', '.ts', '.tsx'] }],
    "camelcase": [0, {properties: "never"}],
    "@typescript-eslint/no-explicit-any": 0,
    "@typescript-eslint/ban-ts-ignore": 0,
  }
};