// @ts-ignore
import React from 'react';

import Close from '../../static/icons/close.svg';
import DownArrow from '../../static/icons/arrow00.svg';
import Edit from '../../static/icons/navbar/rename00.svg';
import EditActive from '../../static/icons/navbar/rename01.svg';
import Search from '../../static/icons/navbar/Search00.svg';
import SearchActive from '../../static/icons/navbar/Search01.svg';
import Annotation from '../../static/icons/navbar/MyAnnotation00.svg';
import AnnotationActive from '../../static/icons/navbar/MyAnnotation01.svg';
import Thumbnail from '../../static/icons/navbar/Thumbnail00.svg';
import ThumbnailActive from '../../static/icons/navbar/Thumbnail01.svg';
import Print from '../../static/icons/navbar/Print00.svg';
import PrintActive from '../../static/icons/navbar/Print01.svg';
import Export from '../../static/icons/navbar/Export00.svg';
import ExportActive from '../../static/icons/navbar/Export01.svg';
import ZoomIn from '../../static/icons/toolbar/zoom00.svg';
import ZoomInActive from '../../static/icons/toolbar/zoom01.svg';
import ZoomOut from '../../static/icons/toolbar/zoomOut00.svg';
import ZoomOutActive from '../../static/icons/toolbar/zoomOut01.svg';
import Hand from '../../static/icons/toolbar/hand00.svg';
import HandActive from '../../static/icons/toolbar/hand01.svg';
import RotateLeft from '../../static/icons/toolbar/RotateLeft00.svg';
import RotateLeftActive from '../../static/icons/toolbar/RotateLeft01.svg';
import RotateRight from '../../static/icons/toolbar/RotateRight00.svg';
import RotateRightActive from '../../static/icons/toolbar/RotateRight01.svg';
import MarkupTools from '../../static/icons/sidebar/Markuptools00.svg';
import Highlight from '../../static/icons/sidebar/Highlight.svg';
import Freehand from '../../static/icons/sidebar/Freehand.svg';
import Markpen from '../../static/icons/sidebar/markpen.svg';
import Text from '../../static/icons/sidebar/Text.svg';
import StickyNote from '../../static/icons/sidebar/StickyNote.svg';
import Shape from '../../static/icons/sidebar/Shape.svg';
import CreateForm from '../../static/icons/sidebar/CreatForm00.svg';
import AddImage from '../../static/icons/sidebar/AddImage00.svg';
import Watermark from '../../static/icons/sidebar/Watermark00.svg';
import Underline from '../../static/icons/sidebar/Underline.svg';
import Squiggly from '../../static/icons/sidebar/Squiggly.svg';
import Strikeout from '../../static/icons/sidebar/Strikeout.svg';
import ColorPicker from '../../static/icons/sidebar/Colorpicker.svg';
import Eraser from '../../static/icons/sidebar/eraser00.svg';
import EraserActive from '../../static/icons/sidebar/eraser01.svg';
import Undo from '../../static/icons/sidebar/undo.svg';
import Redo from '../../static/icons/sidebar/redo.svg';
import Bold from '../../static/icons/sidebar/Bold00.svg';
import BoldActive from '../../static/icons/sidebar/Bold01.svg';
import Italic from '../../static/icons/sidebar/Italic00.svg';
import ItalicActive from '../../static/icons/sidebar/Italic01.svg';
import AlignCenter from '../../static/icons/sidebar/Aligncenter00.svg';
import AlignCenterActive from '../../static/icons/sidebar/Aligncenter01.svg';
import AlignLeft from '../../static/icons/sidebar/Alignleft00.svg';
import AlignLeftActive from '../../static/icons/sidebar/Alignleft01.svg';
import AlignRight from '../../static/icons/sidebar/Alignright00.svg';
import AlignRightActive from '../../static/icons/sidebar/Alignright01.svg';
import Circle from '../../static/icons/sidebar/Circle.svg';
import Rectangle from '../../static/icons/sidebar/Rectangle.svg';
import Line from '../../static/icons/sidebar/Line.svg';
import Arrow from '../../static/icons/sidebar/Arrow.svg';
import Border from '../../static/icons/sidebar/Border.svg';
import Fill from '../../static/icons/sidebar/Fill.svg';
import TextField from '../../static/icons/sidebar/Textfiled.svg';
import Checkbox from '../../static/icons/sidebar/checkBox.svg';
import RadioButton from '../../static/icons/sidebar/radiobutton.svg';
import LeftBack from '../../static/icons/sidebar/LeftBack.svg';
import RightBack from '../../static/icons/sidebar/RightBack.svg';
import Sort from '../../static/icons/annotation/sort.svg';
import Import from '../../static/icons/annotation/import.svg';
import AnnotationExport from '../../static/icons/annotation/Export.svg';

const data: {[index: string]: any} = {
  close: {
    Normal: Close,
  },
  'down-arrow': {
    Normal: DownArrow,
  },
  edit: {
    Normal: Edit,
    Hover: EditActive,
  },
  search: {
    Normal: Search,
    Hover: SearchActive,
  },
  annotations: {
    Normal: Annotation,
    Hover: AnnotationActive,
  },
  thumbnails: {
    Normal: Thumbnail,
    Hover: ThumbnailActive,
  },
  print: {
    Normal: Print,
    Hover: PrintActive,
  },
  export: {
    Normal: Export,
    Hover: ExportActive,
  },
  'zoom-in': {
    Normal: ZoomIn,
    Hover: ZoomInActive,
  },
  'zoom-out': {
    Normal: ZoomOut,
    Hover: ZoomOutActive,
  },
  hand: {
    Normal: Hand,
    Hover: HandActive,
  },
  'rotate-left': {
    Normal: RotateLeft,
    Hover: RotateLeftActive,
  },
  'rotate-right': {
    Normal: RotateRight,
    Hover: RotateRightActive,
  },
  'markup-tools': {
    Normal: MarkupTools,
  },
  highlight: {
    Normal: Highlight,
  },
  freehand: {
    Normal: Freehand,
  },
  text: {
    Normal: Text,
  },
  'sticky-note': {
    Normal: StickyNote,
  },
  shape: {
    Normal: Shape,
  },
  'create-form': {
    Normal: CreateForm,
  },
  'add-image': {
    Normal: AddImage,
  },
  watermark: {
    Normal: Watermark,
  },
  underline: {
    Normal: Underline,
  },
  squiggly: {
    Normal: Squiggly,
  },
  strikeout: {
    Normal: Strikeout,
  },
  'color-picker': {
    Normal: ColorPicker,
  },
  markpen: {
    Normal: Markpen,
  },
  eraser: {
    Normal: Eraser,
    Hover: EraserActive,
  },
  undo: {
    Normal: Undo,
  },
  redo: {
    Normal: Redo,
  },
  bold: {
    Normal: Bold,
    Hover: BoldActive,
  },
  italic: {
    Normal: Italic,
    Hover: ItalicActive,
  },
  'align-center': {
    Normal: AlignCenter,
    Hover: AlignCenterActive,
  },
  'align-left': {
    Normal: AlignLeft,
    Hover: AlignLeftActive,
  },
  'align-right': {
    Normal: AlignRight,
    Hover: AlignRightActive,
  },
  circle: {
    Normal: Circle,
  },
  rectangle: {
    Normal: Rectangle,
  },
  line: {
    Normal: Line,
  },
  arrow: {
    Normal: Arrow,
  },
  border: {
    Normal: Border,
  },
  fill: {
    Normal: Fill,
  },
  'text-field': {
    Normal: TextField,
  },
  checkbox: {
    Normal: Checkbox,
  },
  'radio-button': {
    Normal: RadioButton,
  },
  'right-back': {
    Normal: RightBack,
  },
  'left-back': {
    Normal: LeftBack,
  },
  sort: {
    Normal: Sort,
  },
  import: {
    Normal: Import,
  },
  'annotation-export': {
    Normal: AnnotationExport,
  },
};

export default data;
