import styled, { css } from 'styled-components';

import { color } from '../../constants/style';

export const Wrapper = styled.div`
  display: inline-flex;
  align-items: center;
`;

export const Text = styled.span`
  font-size: 12px;
  margin: 8px;
`;

export const Input = styled.input`
  background-color: ${color['light-gray']};
  outline: none;
  border: none;
  width: 70px;
  height: 30px;
  text-align: center;
  box-sizing: border-box;
  padding: 5px;
`;

export const ArrowButton = styled('button')<{variant: string}>`
  height: 30px;
  width: 26px;
  outline: none;
  border: none;
  background-color: ${color['light-gray']};
  cursor: pointer;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;

  ${props => (props.variant === 'left' ? css`
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
    margin-right: 1px;
    :after {
      content: '';
      width: 0; 
      height: 0; 
      border-top: 5px solid transparent;
      border-bottom: 5px solid transparent;
      border-right: 5px solid #000000;
      position: absolute;
    }
    :hover:after {
      border-right: 5px solid ${color.black38};
    }
  ` : css`
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    margin-left: 1px;
    :after {
      content: '';
      width: 0; 
      height: 0; 
      border-top: 5px solid transparent;
      border-bottom: 5px solid transparent;
      border-left: 5px solid #000000;
      position: absolute;
    }
    :hover:after {
      border-left: 5px solid ${color.black38};
    }
  `)}
`;
