import React from 'react';

import ToolbarComponent from '../components/Toolbar';

import useActions from '../actions';
import useStore from '../store';

import { scrollIntoView } from '../helpers/utility';

const Toolbar: React.FunctionComponent = () => {
  const [{
    totalPage, currentPage, scale, rotation, viewport,
  }, dispatch] = useStore();
  const { setCurrentPage: setCurrentPageAction, changeScale, changeRotate } = useActions(dispatch);

  const setCurrentPage = (num: number): void => {
    if (num > 0) {
      const ele: HTMLElement = document.getElementById(`page_${num}`) as HTMLElement;
      scrollIntoView(ele);
    }
    setCurrentPageAction(num);
  };

  return (
    <ToolbarComponent
      totalPage={totalPage}
      currentPage={currentPage}
      setCurrentPage={setCurrentPage}
      changeScale={changeScale}
      changeRotate={changeRotate}
      scale={scale}
      rotation={rotation}
      viewport={viewport}
    />
  );
};

export default Toolbar;
