import styled from 'styled-components';

import { color } from '../constants/style';

export const Wrapper = styled('div')<{width?: string}>`
  margin-bottom: 12px;
  display: inline-block;
  height: 70px;
  vertical-align: bottom;
  width: ${props => props.width || '100%'};
`;

export const Group = styled.div`
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin-bottom: 7px;
`;

export const Item = styled('div')<{size?: string}>`
  width: ${props => (props.size === 'small' ? '30px' : '40px')};
  height: ${props => (props.size === 'small' ? '30px' : '40px')};
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;

  :hover {
    background-color: ${color['light-primary']};
  }
`;

export const Circle = styled('div')<{color: string}>`
  width: 16px;
  height: 16px;
  border-radius: 8px;
  background-color: ${props => color[props.color]};
`;

export const SliderWrapper = styled.div`
  padding: 5px 0;
  width: 178px;
  border-radius: 4px;
  border: solid 1px rgba(0, 0, 0, 0.12);
`;

export const BtnWrapper = styled.div`
  padding: 8px;
`;
