import React from 'react';
import { NextPage } from 'next';

import Navbar from '../containers/Navbar';
import Sidebar from '../containers/Sidebar';
import Toolbar from '../containers/Toolbar';
import Placeholder from '../containers/Placeholder';
import PdfViewer from '../containers/PdfViewer';

const index: NextPage = () => (
  <>
    <Sidebar />
    <Navbar />
    <Toolbar />
    <Placeholder />
    <PdfViewer />
  </>
);

index.getInitialProps = async (): Promise<any> => ({
  namespacesRequired: ['common'],
});

export default index;
